# Uses of Class
javafx.scene.input.TouchEvent

Packages that use TouchEvent
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of TouchEvent in javafx.scene

Methods in javafx.scene that return types with arguments of type TouchEvent
Modifier and Type
Method
Description
`final EventHandler<? super TouchEvent>`
Node.`getOnTouchMoved()`
Gets the value of the `onTouchMoved` property.
`final EventHandler<? super TouchEvent>`
Scene.`getOnTouchMoved()`
Gets the value of the `onTouchMoved` property.
`final EventHandler<? super TouchEvent>`
Node.`getOnTouchPressed()`
Gets the value of the `onTouchPressed` property.
`final EventHandler<? super TouchEvent>`
Scene.`getOnTouchPressed()`
Gets the value of the `onTouchPressed` property.
`final EventHandler<? super TouchEvent>`
Node.`getOnTouchReleased()`
Gets the value of the `onTouchReleased` property.
`final EventHandler<? super TouchEvent>`
Scene.`getOnTouchReleased()`
Gets the value of the `onTouchReleased` property.
`final EventHandler<? super TouchEvent>`
Node.`getOnTouchStationary()`
Gets the value of the `onTouchStationary` property.
`final EventHandler<? super TouchEvent>`
Scene.`getOnTouchStationary()`
Gets the value of the `onTouchStationary` property.
`final ObjectProperty<EventHandler<? super TouchEvent>>`
Node.`onTouchMovedProperty()`
Defines a function to be called when a touch point is moved.
`final ObjectProperty<EventHandler<? super TouchEvent>>`
Scene.`onTouchMovedProperty()`
Defines a function to be called when a touch point is moved.
`final ObjectProperty<EventHandler<? super TouchEvent>>`
Node.`onTouchPressedProperty()`
Defines a function to be called when a new touch point is pressed.
`final ObjectProperty<EventHandler<? super TouchEvent>>`
Scene.`onTouchPressedProperty()`
Defines a function to be called when a new touch point is pressed.
`final ObjectProperty<EventHandler<? super TouchEvent>>`
Node.`onTouchReleasedProperty()`
Defines a function to be called when a touch point is released.
`final ObjectProperty<EventHandler<? super TouchEvent>>`
Scene.`onTouchReleasedProperty()`
Defines a function to be called when a new touch point is pressed.
`final ObjectProperty<EventHandler<? super TouchEvent>>`
Node.`onTouchStationaryProperty()`
Defines a function to be called when a touch point stays pressed and still.
`final ObjectProperty<EventHandler<? super TouchEvent>>`
Scene.`onTouchStationaryProperty()`
Defines a function to be called when a touch point stays pressed and still.
Method parameters in javafx.scene with type arguments of type TouchEvent
Modifier and Type
Method
Description
`final void`
Node.`setOnTouchMoved(EventHandler<? super TouchEvent> value)`
Sets the value of the `onTouchMoved` property.
`final void`
Scene.`setOnTouchMoved(EventHandler<? super TouchEvent> value)`
Sets the value of the `onTouchMoved` property.
`final void`
Node.`setOnTouchPressed(EventHandler<? super TouchEvent> value)`
Sets the value of the `onTouchPressed` property.
`final void`
Scene.`setOnTouchPressed(EventHandler<? super TouchEvent> value)`
Sets the value of the `onTouchPressed` property.
`final void`
Node.`setOnTouchReleased(EventHandler<? super TouchEvent> value)`
Sets the value of the `onTouchReleased` property.
`final void`
Scene.`setOnTouchReleased(EventHandler<? super TouchEvent> value)`
Sets the value of the `onTouchReleased` property.
`final void`
Node.`setOnTouchStationary(EventHandler<? super TouchEvent> value)`
Sets the value of the `onTouchStationary` property.
`final void`
Scene.`setOnTouchStationary(EventHandler<? super TouchEvent> value)`
Sets the value of the `onTouchStationary` property.

## Uses of TouchEvent in javafx.scene.input

Fields in javafx.scene.input with type parameters of type TouchEvent
Modifier and Type
Field
Description
`static final EventType<TouchEvent>`
TouchEvent.`ANY`
Common supertype for all touch event types.
`static final EventType<TouchEvent>`
TouchEvent.`TOUCH_MOVED`
This event occurs when the touch point is moved.
`static final EventType<TouchEvent>`
TouchEvent.`TOUCH_PRESSED`
This event occurs when the touch point is pressed (touched for the first time).
`static final EventType<TouchEvent>`
TouchEvent.`TOUCH_RELEASED`
This event occurs when the touch point is released.
`static final EventType<TouchEvent>`
TouchEvent.`TOUCH_STATIONARY`
This event occurs when the touch point is pressed and still (doesn't move).
Methods in javafx.scene.input that return TouchEvent
Modifier and Type
Method
Description
`TouchEvent`
TouchEvent.`copyFor(Object newSource, EventTarget newTarget)`
Creates and returns a copy of this event with the specified event source and target.
`TouchEvent`
TouchEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<TouchEvent> type)`
Creates a copy of the given event with the given fields substituted.
Methods in javafx.scene.input that return types with arguments of type TouchEvent
Modifier and Type
Method
Description
`EventType<TouchEvent>`
TouchEvent.`getEventType()`
Method parameters in javafx.scene.input with type arguments of type TouchEvent
Modifier and Type
Method
Description
`TouchEvent`
TouchEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<TouchEvent> type)`
Creates a copy of the given event with the given fields substituted.
Constructor parameters in javafx.scene.input with type arguments of type TouchEvent
Modifier
Constructor
Description
``
`TouchEvent(Object source, EventTarget target, EventType<TouchEvent> eventType, TouchPoint touchPoint, List<TouchPoint> touchPoints, int eventSetId, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown)`
Constructs new TouchEvent event.
``
`TouchEvent(EventType<TouchEvent> eventType, TouchPoint touchPoint, List<TouchPoint> touchPoints, int eventSetId, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown)`
Constructs new TouchEvent event with null source and target.